# Interface ChangesObject<T>

Describes the changes in component bindings during `$onChanges`.

interface ChangesObject<T = any> {
currentValue: T;
isFirstChange: () => boolean;
}

#### Type Parameters

- T = any

##### Index

### Properties

currentValue
isFirstChange

## Properties

### currentValue

currentValue: T

New value of the binding

### isFirstChange

isFirstChange: () => boolean

Whether this is the first change